Package org.bukkit.event.entity

# Class EntityPortalExitEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.entity.EntityEvent
org.bukkit.event.entity.EntityTeleportEvent
org.bukkit.event.entity.EntityPortalExitEvent

All Implemented Interfaces:
  `Cancellable`

public class EntityPortalExitEvent extends EntityTeleportEvent
Called before an entity exits a portal.

This event allows you to modify the velocity of the entity after they have successfully exited the portal.

Cancelling this event does not prevent the teleport, but it does prevent any changes to velocity and location from taking place.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.entity.EntityEvent

`entity`

## Constructor Summary

Constructors
Constructor
Description
`EntityPortalExitEvent(@NotNull Entity entity, @NotNull Location from, @NotNull Location to, @NotNull Vector before, @NotNull Vector after)`

## Method Summary

Modifier and Type
Method
Description
`@NotNull Vector`
`getAfter()`
Gets a copy of the velocity that the entity will have after exiting the portal.
`@NotNull Vector`
`getBefore()`
Gets a copy of the velocity that the entity has before entering the portal.
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`void`
`setAfter(@NotNull Vector after)`
Sets the velocity that the entity will have after exiting the portal.

### Methods inherited from class org.bukkit.event.entity.EntityTeleportEvent

`getFrom, getTo, isCancelled, setCancelled, setFrom, setTo`

### Methods inherited from class org.bukkit.event.entity.EntityEvent

`getEntity, getEntityType`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EntityPortalExitEvent

public EntityPortalExitEvent(@NotNull @NotNull Entity entity, @NotNull @NotNull Location from, @NotNull @NotNull Location to, @NotNull @NotNull Vector before, @NotNull @NotNull Vector after)

## Method Details

### getBefore

@NotNull public @NotNull Vector getBefore()
Gets a copy of the velocity that the entity has before entering the portal.

Returns:
  velocity of entity before entering the portal

### getAfter

@NotNull public @NotNull Vector getAfter()
Gets a copy of the velocity that the entity will have after exiting the portal.

Returns:
  velocity of entity after exiting the portal

### setAfter

public void setAfter(@NotNull @NotNull Vector after)
Sets the velocity that the entity will have after exiting the portal.

Parameters:
  `after` - the velocity after exiting the portal

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Overrides:
  `getHandlers` in class `EntityTeleportEvent`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()